Bug 474751 - Evince Crashes when opening a pdf file
Evince Crashes when opening a pdf file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 01:13 EST by lionghostshop
Modified: 2013-04-02 00:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:10:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the pdf that cause crash (739.48 KB, application/pdf)
2008-12-05 01:15 EST, lionghostshop
no flags Details

  None (edit)
Description lionghostshop 2008-12-05 01:13:08 EST
Description of problem:
Evince Crashes when opening a specific pdf file, which can be opened by adobe reader.

Version-Release number of selected component (if applicable):
Document Viewer 2.24.1

How reproducible:
Open the pdf in attachment. It always happens
Comment 1 lionghostshop 2008-12-05 01:15:11 EST
Created attachment 325804 [details]
the pdf that cause crash
Comment 2 Oron Peled 2009-05-30 18:47:41 EDT
More data points:

Just retested on a fully updated F10:
 - evince-2.24.2-1.fc10.i386 crashes.
 - okular from kdegraphics-4.2.3-1.fc10.i386 does not crash.
 - xpdf-3.02-13.fc10.i386 does not crash.

Another crasher PDF is in bug #503295
Comment 3 Oron Peled 2009-06-25 15:03:50 EDT
In fully updated Fedora-11 -- No crashes:
 - evince-2.26.2-1.fc11.i586 -- Good.
 - okular from kdegraphics-4.2.4-1.fc11.i586 -- Good.
Comment 4 ymedians 2009-08-12 11:19:25 EDT
I test attached pdf using evince 2.26.2.1 on Fedora 11 and dont'crash. But evince is crasing with other pdf file, like bug #512701
Comment 6 Bug Zapper 2009-11-18 04:38:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:10:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.